Support » Plugins and Hacks » Doesn't work with Opera 12

Doesn't work with Opera 12

  • Every WordPress “Send to Kindle” button that I’ve tried, whether on my blog, or others, exhibits this same behavior:

    When using Opera, I click the Send to Kindle button and a new tab opens with the following error message:

    There is a problem.

    Your browser does not work with Send to Kindle. Please click below to get the latest version.

    Firefox (<- which links to http://www.mozilla.org/firefox)

    I’m sorry if the exclusion of Opera support was mentioned elsewhere. If it isn’t, it probably should be!

    Thank you.

    Opera 12.14 (newest) on OS 10.8.3.


Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author David Skidmore


    Unfortunately, we do not provide official support for the Opera browser. The reason you are getting the strange message about having an old version of Firefox is that Opera incorrectly identifies itself as Firefox 4.0 when visiting sites on the “amazon.com” domain. The server sees an old, incompatible browser and shows the “upgrade” page you are seeing.

    Ah, gotcha. Thanks for the clarification, David.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Doesn't work with Opera 12’ is closed to new replies.